View Issue Details

IDProjectCategoryView StatusLast Update
0002751Path[FreeCAD] Featurepublic2019-07-29 15:06
ReportersliptonicAssigned Tomlampert 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
PlatformallOSallOS Versionall
Product Version[FreeCAD] 0.17 
Target Version[FreeCAD] 0.17Fixed in Version[FreeCAD] 0.17 
Summary0002751: Holding tab dressup
DescriptionHolding tabs are done now only for profile operations using libarea. This is legacy code built into the libarea implementation. While it works, it is limited, complicated, and difficult to maintain. It's also not possible to add holding tags to paths generated with OCC offsetting or with paths imported from external sources.

A better solution will be to write a generic dressup operation that could be applied to any kind of profile operation and add holding tags at the identified locations with the specified properties.
TagsNo tags attached.

Activities

wmayer

2017-01-12 20:59

administrator   ~0007685

See https://github.com/FreeCAD/FreeCAD/pull/432

Related Changesets

FreeCAD: master f2c884a8

2017-01-12 21:57:29

wwmayer


Committer: GitHub Details Diff
Merge pull request 0000432 from mlampert/HoldingTags

Path: Holding tags dressup, fixes tracker 0002751
Affected Issues
0002751
mod - src/Mod/Path/CMakeLists.txt Diff File
mod - src/Mod/Path/Gui/Resources/Path.qrc Diff File
mod - src/Mod/Path/Gui/Resources/panels/HoldingTagsEdit.ui Diff File
add - src/Mod/Path/Gui/Resources/panels/PointEdit.ui Diff File
add - src/Mod/Path/Gui/Resources/preferences/PathDressupHoldingTags.ui Diff File
mod - src/Mod/Path/InitGui.py Diff File
mod - src/Mod/Path/PathScripts/PathDressupHoldingTags.py Diff File
mod - src/Mod/Path/PathScripts/PathGeom.py Diff File
mod - src/Mod/Path/PathScripts/PathPreferences.py Diff File
add - src/Mod/Path/PathScripts/PathPreferencesPathDressup.py Diff File
mod - src/Mod/Path/PathScripts/PathPreferencesPathJob.py Diff File

Issue History

Date Modified Username Field Change
2016-10-28 03:57 sliptonic New Issue
2016-10-28 18:24 mlampert Assigned To => mlampert
2016-10-28 18:24 mlampert Status new => assigned
2017-01-12 20:59 wmayer Note Added: 0007685
2017-01-12 20:59 wmayer Status assigned => closed
2017-01-12 20:59 wmayer Resolution open => fixed
2017-01-12 20:59 wmayer Fixed in Version => 0.17
2019-07-29 15:06 Kunda1 Changeset attached => FreeCAD master f2c884a8